Tuesday, August 23, 2011

Installing XmGrace (Grace) on Mac OS X

We need to install motif libraries first. You can download binary from here:
http://www.ist.co.uk/downloads/motif_download.html

Grace Download: http://plasma-gate.weizmann.ac.il/Grace/

$ cd Desktop
$ wget ftp://ftp.fu-berlin.de/unix/graphics/grace/src/grace5/grace-latest.tar.gz
$ tar xzvf grace-latest.tar.gz
$ cd grace-5.1.22
$ ./configure --x-includes=/usr/X11/include --x-libraries=/usr/X11/lib \
--with-motif-library=-lXm  --with-extra-incpath=/usr/OpenMotif/include:/Users/sm4082/fftw-2.1.5/include \
--with-extra-ldpath=/usr/OpenMotif/lib:/Users/sm4082/fftw-2.1.5/lib
$ make
$ sudo make install
$ echo "export PATH=$PATH:/usr/local/grace/bin" >> ~/.bashrc
$ source ~/.bashrc
$ xmgrace

Now you should have xmgrace at your prompt. Cool. Right?

10 comments:

Dean said...

On Lion, wget doesn't work. Use curl -O in place of wget. That is a capital letter o.

Other than that, this worked great for Lion.

Thank you.

Dean

Peej said...

Yup, once I used curl -O it worked totally fine! thanks!

Steph said...

Sorry but the execution of your script fails at the configure step on my system 10.5.8 :
checking X11/xpm.h presence... yes
checking for X11/xpm.h... yes
checking for a Motif >= 1002 compatible API... no
configure: error: M*tif has not been found

Afterwards, I have installed Lesstif (instead OpenMotif), but i do not know the 'configure' options.
Do you understand ? If so, could you help me ?

Thank you.

St├ęphane

Marco Rondinini said...

Thank you very much. Nice and quick tutorial. Works perfectly on my MacOS 10.6 :)

djconnel said...

Thanks!!! It works, but I'm having problems with PDFlib, since it requires an old version of the library.

ameta said...

thanks worked well for ubuntu 11.10 but got stuck in updates
/Desktop/grace-5.1.23$ apt-get update
E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
help
amitha

My Knotty Mind - Labyrinth said...

Hi Amitha, It looks like this is a permission issue. Can you try updating being a root?

DarkArconio said...

I have the same error as Steph, these are my configure options (i installed fftw in a custom directory)

./configure --x-includes=/usr/X11/include --x-libraries=/usr/X11/lib --with-motif-library=-lXm --with-extra-incpath=/usr/OpenMotif/include:/usr/local/fftw-3.3.3/include --with-extra-ldpath=/usr/OpenMotif/lib:/usr/local/fftw-3.3.3/lib

Any help would be appreciated.

DarkArconio said...

Nevermind, homebrew was the solution to my problem! Install grace through it without significant issues. Love package managers!

mahasiswa teladan said...

hi...Im student from Informatics engineering nice article,
thanks for sharing :)

PBS Script Generator: Interdependent dropdown/select menus in Javascript

PBS SCRIPT GENERATOR
SH/BASH TCSH/CSH
Begin End Abort

About Me

LA, CA, United States
Here I write about the battles that have been going on in my mind. It's pretty much a scribble.

Sreedhar Manchu

Sreedhar Manchu
Higher Education: Not a simple life anymore